#ifndef __OSAL_IRQ_H__
#define __OSAL_IRQ_H__

#include "osal_def.h"

#ifdef __cplusplus
extern "C" {
#endif

/* IRQ/Critical Section API */
void osal_enter_critical(void);
void osal_exit_critical(void);
osal_uint8_t osal_interrupt_get_nest(void);

#ifdef __cplusplus
}
#endif

#endif /* __OSAL_IRQ_H__ */
